## GstFFMpegVidDec GstFFMpegVidDec |

## Types and Values

struct | GstFFMpegVidDec
struct | GstFFMpegVidDecClass

## Description

## Functions

## Types and Values

### struct GstFFMpegVidDec

    struct GstFFMpegVidDec {
      GstVideoDecoder parent;

      GstVideoCodecState *input_state;
      GstVideoCodecState *output_state;

      /* decoding */
      AVCodecContext *context;
      AVFrame *picture;
      GstVideoMultiviewMode picture_multiview_mode;
      GstVideoMultiviewFlags picture_multiview_flags;
      gint stride[AV_NUM_DATA_POINTERS];
      gboolean opened;

      /* current output pictures */
      enum AVPixelFormat pic_pix_fmt;
      gint pic_width;
      gint pic_height;
      gint pic_par_n;
      gint pic_par_d;
      gint pic_interlaced;
      /* GST_VIDEO_BUFFER_FLAG_RFF | GST_VIDEO_BUFFER_FLAG_TFF */
      gint pic_field_order;
      gboolean pic_field_order_changed;
      GstVideoMultiviewMode cur_multiview_mode;
      GstVideoMultiviewFlags cur_multiview_flags;
      /* current context */
      gint ctx_ticks;
      gint ctx_time_d;
      gint ctx_time_n;
      GstBuffer *palette;

      guint8 *padded;
      guint padded_size;

      /* some properties */
      enum AVDiscard skip_frame;
      gint lowres;
      gboolean direct_rendering;
      gboolean debug_mv;
      int max_threads;
      gboolean output_corrupt;

      GstCaps *last_caps;

      /* Internally used for direct rendering */
      GstBufferPool *internal_pool;
      gint pool_width;
      gint pool_height;
      enum AVPixelFormat pool_format;
      GstVideoInfo pool_info;
    };

### struct GstFFMpegVidDecClass

    struct GstFFMpegVidDecClass {
      GstVideoDecoderClass parent_class;

      AVCodec *in_plugin;
    };